<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Mittelsenkrechte">
<Parameter name="P1">Erster Endpunkt der Strecke</Parameter>
<Parameter name="P2">Zweiter Endpunkt der Strecke</Parameter>
<Comment>
<P>Mittelsenkrechte zwischen P1 und P2.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.225" y="0.012500000000000181">Punkt in -4.225, 0.0125</Point>
<Point name="P2" mainparameter="true" x="1.4499999999999993" y="1.8125">Punkt in 1.45, 1.8125</Point>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Circle name="k2" hidden="super" through="P1" midpoint="P2" acute="true">Kreis um P2 durch P1</Circle>
<Intersection name="S1" hidden="super" first="k1" second="k2" which="second">Schnitt zwischen k1 und k2</Intersection>
<Intersection name="S2" hidden="super" first="k2" second="k1" which="second">Schnitt zwischen k2 und k1</Intersection>
<Line name="g1" target="true" from="S1" to="S2">Gerade durch S1 und S2</Line>
</Objects>
</Macro>
<Macro Name="Spiegeln an Gerade">
<Parameter name="g1">Speigelungsgerade</Parameter>
<Parameter name="P3">Gespiegelter Punkt</Parameter>
<Comment>
<P>Spiegelt den Punkt P an der Geraden  g.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="-1.4000000000000001" y="3.34">Punkt in -1.4, 3.34</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" hidden="super" first="l1" second="g1">Schnitt zwischen l1 und g1</Intersection>
<Circle name="k1" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Intersection name="S2" target="true" first="l1" second="k1" awayfrom="P3" which="second">Schnitt zwischen l1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Spiegeln am Kreis">
<Parameter name="k">Spiegelungskreis</Parameter>
<Parameter name="P">Gespiegelter Punkt</Parameter>
<Comment>
<P>Spiegelt den Punkt P am Kreis k.</P>
</Comment>
<Objects>
<Point name="P1" parameter="true" x="-0.72" y="-0.89">Punkt in -0.72, -0.89</Point>
<Circle name="k" mainparameter="true" midpoint="P1">???</Circle>
<Point name="P" mainparameter="true" x="1.45" y="1.86">Punkt in 1.45, 1.86</Point>
<Ray name="r1" hidden="super" from="P1" to="P">Strahl von P1 in Richtung P</Ray>
<Circle name="k2" hidden="super" fixed="k^2/d(P,P1)" midpoint="P1" acute="true">Kreis um P1 mit Radius 6.738402</Circle>
<Intersection name="S1" target="true" first="r1" second="k2" which="first">Schnitt zwischen r1 und k2</Intersection>
</Objects>
</Macro>
<Macro Name="Punktspiegelung">
<Parameter name="P1">Spiegelungszentrum</Parameter>
<Parameter name="P2">Gespiegelter Punkt</Parameter>
<Comment>
<P>Spiegelt den Punkt P am Punkt O.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="0.15000000000000038" y="-0.4874999999999998">Punkt in 0.15, -0.4875</Point>
<Point name="P2" mainparameter="true" x="-2.7800000000000002" y="-2.54">Punkt in -2.78, -2.54</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Intersection name="S1" target="true" first="r1" second="k1" awayfrom="P2" which="first">Schnitt zwischen r1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Winkelhalbierende">
<Parameter name="P1">Punkt auf dem ersten Schenkel</Parameter>
<Parameter name="P2">Scheitelpunkt</Parameter>
<Parameter name="P3">Punkt auf dem zweiten Schenkel</Parameter>
<Comment>
<P>Winkelhalbierende des Winkels P1P2P3 (Scheitel in P3) als
Gerade.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-5.25" y="4.59">Punkt in -5.25, 4.59</Point>
<Point name="P2" mainparameter="true" x="-0.875" y="-3.237500000000001">Punkt in -0.875, -3.2375</Point>
<Point name="P3" mainparameter="true" x="3.5250000000000012" y="2.6875">Punkt in 3.525, 2.6875</Point>
<Ray name="r1" hidden="true" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="true" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="true" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Circle name="k2" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Circle name="k3" hidden="super" through="S1" midpoint="P3" acute="true">Kreis um P3 durch S1</Circle>
<Intersection name="S2" hidden="super" first="k2" second="k3" which="second">Schnitt zwischen k2 und k3</Intersection>
<Intersection name="S3" hidden="super" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Line name="g1" target="true" from="S2" to="S3">Gerade durch S2 und S3</Line>
</Objects>
</Macro>
<Macro Name="Winkelhalbierende als Strahl">
<Parameter name="P1">Punkt auf dem ersten Schenkel</Parameter>
<Parameter name="P2">Scheitelpunkt</Parameter>
<Parameter name="P3">Punkt auf dem zweiten Schenkel</Parameter>
<Comment>
<P>Winkelhalbierende des Winkels P1P2P3 (Scheitel in P3) als
Strahl.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.100000000000001" y="4.26">Punkt in -4.1, 4.26</Point>
<Point name="P2" mainparameter="true" x="-0.5250000000000008" y="-2.6875">Punkt in -0.525, -2.6875</Point>
<Point name="P3" mainparameter="true" x="3.425000000000001" y="2.7875">Punkt in 3.425, 2.7875</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="super" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Midpoint name="M1" hidden="super" first="S1" second="P3">Mitte zwischen S1 und P3</Midpoint>
<Ray name="r2" target="true" from="P2" to="M1">Strahl von P2 in Richtung M1</Ray>
</Objects>
</Macro>
<Macro Name="Lotfußpunkt">
<Parameter name="g1">Gerade</Parameter>
<Parameter name="P3">Projizieter Punkt</Parameter>
<Comment>
<P>Konstruiert den Lotfußpunkt auf g von P aus.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="1.675041876046901" y="2.46566164154104">Punkt in 1.6750419, 2.4656616</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" target="true" first="g1" second="l1">Schnitt zwischen g1 und l1</Intersection>
</Objects>
</Macro>
<Macro Name="Drehung">
<Parameter name="P1">Erster Schenkelpunkt des Winkels</Parameter>
<Parameter name="P2">Scheitel des Winkels</Parameter>
<Parameter name="P3">Zweiter Schenkelpunkt des Winkels</Parameter>
<Parameter name="P4">Drehpunkt Q</Parameter>
<Parameter name="P5">Zu drehender Punkt P</Parameter>
<Comment>
<P>Dreht den Punkt P um Q um den Winkel ABC.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="2.85261" y="-3.271">Punkt in 2.85261, -3.271</Point>
<Point name="P2" mainparameter="true" x="-3.6893819334389857" y="-3.3217115689381935">Punkt in -3.6893819, -3.3217116</Point>
<Point name="P3" mainparameter="true" x="2.34548" y="-0.91284">Punkt in 2.34548, -0.91284</Point>
<Point name="P4" mainparameter="true" x="-3.9429477020602217" y="0.6085578446909672">Punkt in -3.9429477, 0.6085578</Point>
<Point name="P5" mainparameter="true" x="1.20444" y="2.71315">Punkt in 1.20444, 2.71315</Point>
<Angle name="w1" color="1" hidden="super" first="P5" root="P4" fixed="a(P1,P2,P3)">Fester Winkel P5 - P4 mit Größe a(P1,P2,P3)</Angle>
<Circle name="k1" color="1" hidden="super" through="P5" midpoint="P4" acute="true">Kreis um P4 durch P5</Circle>
<Intersection name="S1" color="1" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Drehung mit Winkel">
<Parameter name="P1">Drehzentrum</Parameter>
<Parameter name="P2">zu drehender Punkt</Parameter>
<Comment>
<P>Dreht einen Punkt um einen Winkel. der eingegeben werden
muss.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.2218700475435815" y="-0.4817749603803483">Punkt in -4.22187, -0.481775</Point>
<Point name="P2" mainparameter="true" x="2.24405705229794" y="0.4564183835182245">Punkt in 2.2440571, 0.4564184</Point>
<Angle name="w1" hidden="super" first="P2" root="P1" fixed="16">Fester Winkel P2 - P1 mit Größe 16</Angle>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Intersection name="S1" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
</Objects>
<PromptFor object0="w1" prompt0="w1"/>
</Macro>
<Macro Name="Verschiebung">
<Parameter name="P1">Beginn des Verschiebevektors</Parameter>
<Parameter name="P2">Ende des Verschiebevektors</Parameter>
<Parameter name="P3">zu verschiebender Punkt</Parameter>
<Comment>
<P>Verschiebt P um AB.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-3.35975" y="-2.86529">Punkt in -3.35975, -2.86529</Point>
<Point name="P2" mainparameter="true" x="1.7622820919175908" y="-1.4960380348652933">Punkt in 1.7622821, -1.496038</Point>
<Point name="P3" mainparameter="true" x="-3.917591125198098" y="3.1442155309033284">Punkt in -3.9175911, 3.1442155</Point>
<Point name="P4" target="true" x="x(P3)+x(P2)-x(P1)" actx="1.2044409667194929" y="y(P3)+y(P2)-y(P1)" acty="4.513467496038035" fixed="true">Punkt in &quot;x(P3)+x(P2)-x(P1)&quot;, &quot;y(P3)+y(P2)-y(P1)&quot;</Point>
</Objects>
</Macro>
</CaR>
